unit spHostDll;

interface
uses
  Windows, Classes;

{=> version 0.1 <=}

{$IFNDEF spHostDllH}
{$DEFINE spHostDllH}

type
  TProgress = procedure(done: Integer; total: Integer) stdcall;

function sphInit(hWnd:HWND; progressFunc: TProgress): Boolean stdcall;
function sphEnumerateDirectory(PI_directory: PWideChar; recurse_sub: Boolean): Boolean stdcall;
function sphEnumerateFile(PI_file: PWideChar): Boolean stdcall;
function sphGetCategory(): PWideChar stdcall;
function sphSelectCategory(category:PWideChar):Boolean stdcall;
function sphGetEntry(): PWideChar stdcall;
function sphPluginAbout(categoryEntry: PWideChar;
                        nameEntry: PWideChar): Integer stdcall;                     
function sphSetColors(foreground: Cardinal; background:Cardinal): Boolean stdcall;
function sphSetImage(imgScanline: Pointer;
                     maskScanline: Pointer;
                     width: Integer;
                     height: Integer;
                     scanlineAlignment: Cardinal): Boolean stdcall;
function sphPluginExecute(categoryEntry: PWideChar;
                          nameEntry: PWideChar;
                          boundRect: PRect): Integer stdcall;
{///--------------------------------------------------------------------------- }
{$ENDIF}

implementation

function sphInit; external 'spHost.dll';
function sphEnumerateDirectory; external 'spHost.dll';
function sphEnumerateFile; external 'spHost.dll';
function sphGetCategory; external 'spHost.dll';
function sphSelectCategory; external 'spHost.dll';
function sphGetEntry; external 'spHost.dll';
function sphSetColors; external 'spHost.dll';
function sphSetImage; external 'spHost.dll';
function sphPluginAbout; external 'spHost.dll';                    
function sphPluginExecute; external 'spHost.dll';
end.
